mia-3ddistance-stats
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3ddistance-stats

#### Sysnopis:

`mia-3ddistance-stats` {-i `io`} {-r `io`} {-o `string`} [ `options` ...]

#### Description:

This program is used to evaluate the distance between equally labelled areas in two images. The output file is a csv file containing the distances for each labeled coordinate in the test image in the following form: label,n-samples,distance,distance,... A simple R program to get some per label statistics from this data would look like args <- commandArgs(TRUE) data <- read.csv(args[1], header=FALSE) for ( i in 1:dim(data)[1] ) { line <- data[i,] label <- as.integer(line[1]) end_range <- 2 + as.numeric(line[2]) s <- as.numeric(line[3:end_range]) result <- sprintf("%d %8.4f %8.4f %8.4f %8.4f\n" label, mean(s), sqrt(var(s)), median(s), max(s)) cat(result) }

#### Options:

#### File-IO

-i, --in-labels=(input, required); io

  input label image. For supported file types see Plugin type: 3dimage/io

-r, --ref-labels=(input, required); io

  reference label image. For supported file types see Plugin type: 3dimage/io

-l, --label-map=(input); string

  optional mapping of label numbers

-o, --out-file=(output, required); string

  output file name to write the distances to. The output file is a csv file, containing distances listed for each label.

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the distances for each label available in image.v to the corresponding labels in the image reference.v ans store the result a coma separated list of values, i.e. distances.csv.

    mia-3ddistance-stats -i image.v -r reference.v -o distances.csv

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dcrispsegment | Home | mia-3dfuzzysegment